aboutsummaryrefslogtreecommitdiffstats
path: root/x11
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-01 21:29:48 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-02 11:06:57 +0000
commit70f66d94a50a32eaa9295fcbb674256c39ddffea (patch)
treeaec7ec454a97844bebf5631b07b380664eadba12 /x11
parent899d7efbc99cd715c3b73b25165fb7961e80ba4c (diff)
downloadaports-70f66d94a50a32eaa9295fcbb674256c39ddffea.tar.gz
aports-70f66d94a50a32eaa9295fcbb674256c39ddffea.tar.bz2
aports-70f66d94a50a32eaa9295fcbb674256c39ddffea.tar.xz
x11/gstreamer: new aport
GStreamer Multimedia Framework http://gstreamer.freedesktop.org/
Diffstat (limited to 'x11')
-rw-r--r--x11/gstreamer/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/x11/gstreamer/APKBUILD b/x11/gstreamer/APKBUILD
new file mode 100644
index 0000000000..0688c17401
--- /dev/null
+++ b/x11/gstreamer/APKBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gstreamer
+pkgver=0.10.23
+pkgrel=0
+pkgdesc="GStreamer Multimedia Framework"
+url="http://gstreamer.freedesktop.org/"
+license="LGPL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="libxml2-dev glib-dev bison flex gettext-dev libiconv-dev"
+source="http://gstreamer.freedesktop.org//src/gstreamer/gstreamer-$pkgver.tar.bz2"
+
+depends_dev="glib-dev libxml2-dev"
+
+build ()
+{
+ cd "$srcdir"/gstreamer-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-docs-build || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ cd "$pkgdir"/usr/bin
+}
+md5sums="f7b2e300d2d85756407ec529424ab237 gstreamer-0.10.23.tar.bz2"